@ECHO OFF & PUSHD "%~DP0" && CD /D "%~DP0"
IF EXIST "%Public%" >NUL 2>&1 REG QUERY "HKU\S-1-5-19\Environment"
IF NOT %errorlevel% EQU 0 (
IF EXIST "%Public%"  powershell.exe -windowstyle hidden -noprofile "Start-Process '%~dpnx0' -Verb RunAs"
EXIT
)
taskkill /f /im TeamViewer* >NUL 2>NUL
sc stop ddmdrv >NUL 2>NUL & sc delete ddmdrv >NUL 2>NUL
if "%PROCESSOR_ARCHITECTURE%"=="x86" SetupGreen32.exe -u >NUL 2>NUL
if "%PROCESSOR_ARCHITECTURE%"=="x86" LoadDrv_Win32.exe -u >NUL 2>NUL
If "%PROCESSOR_ARCHITECTURE%"=="AMD64" SetupGreen64.exe -u >NUL 2>NUL
If "%PROCESSOR_ARCHITECTURE%"=="AMD64" LoadDrv_x64.exe -u >NUL 2>NUL
del/f "%SYSTEMROOT%\ampa.exe" >NUL 2>NUL
del/f "%SYSTEMROOT%\ddmmain.exe" >NUL 2>NUL
del/f "%SYSTEMROOT%\System32\ampa.sys" >NUL 2>NUL
del/f "%SYSTEMROOT%\System32\ddmdrv.sys" >NUL 2>NUL
del/f "%SYSTEMROOT%\SysWOW64\ampa.sys" >NUL 2>NUL
del/f "%SYSTEMROOT%\SysWOW64\ddmdrv.sys" >NUL 2>NUL
reg delete "HKLM\SYSTEM\CurrentControlSet\services\ddmdrv" /f >NUL 2>NUL
ECHO. &ECHO Íê³É£¡&PAUSE >NUL 2>NUL & EXIT